GNU bug report logs - #58671
gui-backend-set-selection causing segfault on Debian 12

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>; Keywords: moreinfo; dated Thu, 20 Oct 2022 21:58:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 24 Nov 2022 20:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 15:01:53 2022
Received: from localhost ([127.0.0.1]:60336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyIPx-0003tI-0t
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 15:01:53 -0500
Received: from mail-oa1-f49.google.com ([209.85.160.49]:45995)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1oyIPr-0003sO-Jl
 for 58671 <at> debbugs.gnu.org; Thu, 24 Nov 2022 15:01:48 -0500
Received: by mail-oa1-f49.google.com with SMTP id
 586e51a60fabf-1432a5f6468so2946434fac.12
 for <58671 <at> debbugs.gnu.org>; Thu, 24 Nov 2022 12:01:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=Y8puxCwPuO3fJjCOw2vkAPweJ/K5AAs+lNpSmA5rtJU=;
 b=S0XrZmOHopsDaIpfBqkufAvvxFuDhq0DjP3mY2SUhmtJfElgMNByhnic2gB0PNE+/d
 os+attYM5M+Ot0BB5jVA/DypzrDHHKt8pS5ZT95tZaEeKUhwP20UUAbBN5+FOyEMVrVJ
 G+ybwQXa+E8zqFmUKH05xyzDIUovTSK5S4MckkEiwIoe+X73f56RFKyT/ZKzePExkxhj
 4cvpECy/4cBNUCDhJpXn+9Xl0cvQwJHdo0QhEQNwU4JZKVkh+vvtE/mml0B1i8NCJZFu
 zcActaU0gcvZEmvXu3e16FPjmqlv0P2AvGtqnhM+R0VWZaE2ouYBlowXMPxodgAiM05/
 D9yQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=Y8puxCwPuO3fJjCOw2vkAPweJ/K5AAs+lNpSmA5rtJU=;
 b=2/B65Hqyw9iWWYmPvFnvSxru90AnSEkPE3vqt69gsddu4ixLcKTBOkce5Fil2doGPK
 oWqs2A6YuqJ8PzXZ9mP554gGdmf7vC/gnovRRJKp8tjyFf45a6PH8KGpVQ5+gxReXSsT
 GYOG4nW6tJchjkT2W42zUSwFL39B0Nc6wVTyWOIhYOtgjWMg58YUCqvIsPzwIb6C+g+O
 lLy8tH68lIOWhAap+zILJ12V//v2F6FRnksDeQtgjx18NHGn6pAQuL7//9GMD79ybD1m
 gAXl3VElvxD3X0QOD2Lc0vW7NtlRGDXgyCIksVLAzvFpcp+e4lsbHt6yt852vpqugh+l
 Vf4g==
X-Gm-Message-State: ANoB5pmXoD9bQwUw6jmhTSRsRvRJYGeySn1MsPm6xoaBXc4dAtsbu+v3
 6r1G4XXoErOGkS/n4F985qLXEERPsHdQk1eC7S0=
X-Google-Smtp-Source: AA0mqf5zWRwpOOF8H2R2T5PlSYNjOgtYKnq7azpMfwk/ZZMMSKGGQw3fKDfC7/RnMf5L1wyGUR447lSNVmGnBx3Lm4o=
X-Received: by 2002:a05:6870:4995:b0:143:522a:ebcc with SMTP id
 ho21-20020a056870499500b00143522aebccmr2367392oab.199.1669320102010; Thu, 24
 Nov 2022 12:01:42 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 24 Nov 2022 12:01:41 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87mt9p5s93.fsf@HIDDEN> (Po Lu's message of "Fri, 21 Oct 2022
 19:30:00 +0800")
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 <83k04twvso.fsf@HIDDEN>
 <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
 <87pmeltyvv.fsf@HIDDEN>
 <CAAoeO9i2QA_Qd1-n1B5Ve07pAgAdwyzcO_nM=e_10MRKSw_ZCg@HIDDEN>
 <CADwFkmm0i6ci5n_LEN4efoN1V3haVe0joOc5omhJut96yYOiBQ@HIDDEN>
 <DM5PR2201MB1161D6DBE3D0F58622D59B91A72D9@HIDDEN>
 <DM5PR2201MB1161007E70B495CACAAE3796A72D9@HIDDEN>
 <87mt9p5s93.fsf@HIDDEN>
X-Hashcash: 1:20:221124:58671 <at> debbugs.gnu.org::Yx5yksd2tTnWvGG0:7uFb
MIME-Version: 1.0
Date: Thu, 24 Nov 2022 12:01:41 -0800
Message-ID: <CADwFkmmepbhisOkin2OYg2ovVsBpexNCcEc93yvNb7eR_houqg@HIDDEN>
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58671
Cc: German Pacenza <germanp82@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 58671 <at> debbugs.gnu.org, Dima Kogan <dima@HIDDEN>,
 Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 58671 + moreinfo
thanks

Po Lu <luangruo@HIDDEN> writes:

>>> It's eff4a4f49a7. Without the 'g'.
>>>
>>> commit eff4a4f49a7c45df9d27f0515c07d8e8727d84bb
>>> Author: Stefan Kangas <stefankangas@HIDDEN>
>>> Date:   Mon Oct 17 15:26:56 2022 +0200
>>>
>>>     Improve native-compile-prune-cache messages
>>>
>>>     * lisp/emacs-lisp/comp.el (native-compile-prune-cache): Quote name of
>>>     pruned directory.
>>>
>>
>> And this is probably the fix:
>>
>> commit 0dbd1dbe7d82331f3fda9a0d0b29373149fa7ce5
>> Author: Po Lu <luangruo@HIDDEN>
>> Date:   Tue Oct 18 08:52:01 2022 +0800
>>
>>     Fix bug#58584
>>
>>     * src/xterm.c (x_handle_selection_monitor_event): Return if
>>     selection event is one Emacs asked for.
>>     (handle_one_xevent): In that case, drop the event and don't let
>>     it reach GTK.
>
> Yes, I already asked if that was it.  But I think the mail didn't reach
> its intended recipients.

So was this fixed already?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 21 Oct 2022 11:30:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 07:30:25 2022
Received: from localhost ([127.0.0.1]:37181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olqEK-0007id-MJ
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 07:30:25 -0400
Received: from sonic308-56.consmr.mail.ne1.yahoo.com ([66.163.187.31]:43347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1olqEI-0007NI-N0
 for 58671 <at> debbugs.gnu.org; Fri, 21 Oct 2022 07:30:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666351816; bh=+//6Gne2oizqK+AbsPUIPF0/pbNoHj1Z1YsdsgfZ8e4=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=gIvof+cORo4eG4eAyv/C4P9lhEpOgHlCjmKH1EGPQiCrZA+aTICTzsPH2t+IhMcXAKzIawwhZqL2o0pAXwZLVmq6mCJoFEdZP2KpmOibB/P74dH9Ya/Pvj97uvnWseIkIlA5/WwVDAWbKCHTB3GdIg6eHeB3jDsCMdtO9UwyvqN9tGtydQtuBo781CxbimvBTCVOC+x9xRy8ovSo901xRQ5upk/GfAShj+dmbGe9Lb9yJGFbIkZddVefjiSxZuwXNUFHvwqIMqqQNr4+DeN9hjHrW8rOS4Z1ImutIt/HbyM2GgV7Iv/WHkbqEGH6IeZFlk9AhMFm81RLMX6ubRtvkQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666351816; bh=1FawB9LCWjAnhEQn35LSmRhg7XDnyH9f3kwdu8mk0sL=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=i6xnCbOBVBfa8MtWsT0x/FvpOq+A/P5ZezKSThwBM7EcXqjKceYFOwVS3sqzFULEuwFHTYU3Bv4P3DDoii4PsUIMWTXtqMNvwogFBLSpEr4fwq2IXdmrbhNnovd/EhAMq8HCgrg/9DjLlRfbhou6+LRe0zS/oNOV2coafRTgBFtKY11WGE6BGUsCFkUV8As9LNpiyz6V1T0iwr9yKkqJctZbGdg2CfAM88jUcVOk/zv+wVp59o+4O1PRwMMtOVg++9bV6qSZO6tJOaK3wyOS/ytf+iwc78Gux3Ljx+9Xz7wSk2xEv4TkinoHXWpnkSiSsVSx/rP+y07/d6W/9+JYCQ==
X-YMail-OSG: ZHRhqhgVM1nOKDWE9EkOaEtFXwjPekz2J8PTco6L92k_bqvwBSfcTVdj4w9EFGB
 qiGRbSmPCwHA6wsdaWCtm7DDia9aRoT42Sv3XFp7heDIAa93jLuV5D9Cf85TahDom1J.Iy6_Dl.P
 UWKBkjWYgXSzOajmmp9oHMO5QT3xEwNOzK0fvRT0zyZ2NLkPT0zrav.Ntw2io_DmIgJEKt1..1sw
 7qlWKEEy.n7uZtWZh.ElYmSYBAMqqOddf_kM5LoA8YHhJ6U33ZmjKw0tEM2qrDlQ6sgrxrUT42L4
 G_7DowpDs5rMmyXG6d0Z_mgU03cXsLkhZ_obdnEu2J6pybdewEJJM4azBugGsxVZUbd42yPRFHKF
 jNY913H.lFq6EfF4Gr4hI5nf8u42gWFe0H8nhyAlPWDDJMHvg9lxbB5icslJWprC5qC09P7AAvsU
 GZ8td_8W9Lk65FEbEa6.QtiEfkmeradQ10trJ0w_Y5QRf.HG2dXCxRc9KR45M70y6RuOl.5ODa3C
 .PBDnVdrB0OMcFovIZ0jfEwnETdki7BAJBt5bioKTMrTbge0qcBiHj1BjtF7wBjsY3zU.KYCwF7H
 Y.7H4R7tN4kYvXRicuMFvpNFxN3QB58tOGwwt.kh4TBkkdpCPHDU6LjVgEVsPtnD4O7EcOVFX4_J
 _fSPxIMP7cURe_0nnmqdwVySDSnH5BlQZeJIp77cC0SjRL0Qg0kW5LRfwheaCkw6Bio7EzK83BrQ
 6nVjP8jyR7ZVtfA_kulCoDr5O1WN3iFR2ENGUYJ72jNlYNsDjEEn3XaLvYc5i8dHx1m6ujaAdF4p
 mIppe1uXotyDxRkxSaVveFyUorxpWfBVtJpieiRz7jMw69C0KIouB4UsVbxHQfAWhFwLoImH3Ehb
 dTupI_GmsN.kZFzdCPFTeNm7YPcwwwycQ28Tq4LPWbquD3QiYzox5XQ3EgIxRa4RanHP0IgC7fSY
 .YcPJ15sK810zNbe.g3M3QjPNJWhB.J.yYLQ4zly_gbF4DDafUa8cjDYF9HrUiX0E_ZXBSbAH_z9
 Zy1fJj08axc7o8IeglqVR0eCS9FN5enptWWX8hlPP0G8PLhaiNF44PB6GUcwmyhHbyOOZKYc7lCB
 cMFThWtBVIWRGWZn4sVz8Ee1pX5XVtWqD34lzmiMfmMN29gjIKAWq..nCkJWw1GQuZw3odmhLcOI
 lZu7iB7cBDfrEcpJ6WUydhMnv5i6MgAZNnECmBZEURqbikEmuJttG0tCJSoMwEvmLGfaHlcjrCKh
 OVBwGoKzAC5i04IhybZIe1QAxaT7Qu3WCClaR.yeSvnesV630k0MAuE_WJ9xfXYrd_l55o5hP._b
 vEZeK2R4Kr2py1mWQGrynkBRhgWsHO.N3JY8tXvSDUUTcTDiSe6E7jZPl_9_WRzfUFSZ1ar2RQ6A
 FK40Bgv5jNy.sXYhraQSP4b.g9Ho.9z5AKYHlZxtwBm_MuToh6406pnMSpAa7lXWQ6K29p840DdF
 Tx7Cd.Bp7z0ssUvVcJzmm5lPzXYNdaOeLVHwsduw8g4_ca1d2DQ0.tgM3MorGEb4lp..q6uoM8Po
 x2gRNken_AxkzpM33GAZL4OSHJIZNUW35CRu8q94AOrzc0AYQQAGXnRLLgeeSaNoOffVgXUmInnt
 g_mjYhBo4uPFfERo6MbpysOEG3Ma3sbhtLpfwrRO.iZQiOr5FGc9wChroZc5PCJPRcH9OQX0MMiH
 e4A4a.hTIjrVHGynnmmPMC8dqCqtpXL51DtdRh8AgglqtCdFfWHLtfA90pCj3Y0rJkR35V45mEuH
 37U_HgMRiaMESf6k81s18GHN_bxc2D3qJL5spEPRw.hIJ1WtqM6sZfySvlHiGBFQ.OATkOLmsgix
 7zmXo8nQFyrhVueTPsCUSZq5ujXsomVg8r4aBD1hohdOzTFSSVLJwo8zXJoS1ml0eYqtphZafKl1
 hwa0E7j92x69LOH56VEgbaeQ__IoFgzdJG8DWbVLkpZZWRWfmkkWvF6MrZRDROmtM0bORgfVyQHQ
 BPqQQLtWbCoHGKM_kzWrcIw8cZmVvhwflkvaoiskuH0q4y4TkgQMXZM48w2AeCzghOvPniCZRHCO
 P3mgWsjg43nfGu9vyPlsOFCaGoi.4.aYmB1WHJKymE_T0LcVdJJiiIx9WAtGCRNVO70RaIk0gGSv
 4FDEthl4CWymPAHRsH75bxH.lemi_afIxi4qOC6Vp6afbW6h.LkZOG5VvBEmS7g_mKGsk8.TCipb
 _w0BS3YOUoOZMVLrEcdngNP8zXeH3sY401J9VJnJWGkY3BOWquvLz9vwZpC7Bc0iqKA7HMmyl
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Fri, 21 Oct 2022 11:30:16 +0000
Received: by hermes--production-sg3-74fb94585-qwwf8 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 8fba0588b708c5a0f343fdfa8320ff75; 
 Fri, 21 Oct 2022 11:30:09 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: German Pacenza <germanp82@HIDDEN>
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
In-Reply-To: <DM5PR2201MB1161007E70B495CACAAE3796A72D9@HIDDEN>
 (German Pacenza's message of "Fri, 21 Oct 2022 08:18:48 -0300")
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 <83k04twvso.fsf@HIDDEN>
 <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
 <87pmeltyvv.fsf@HIDDEN>
 <CAAoeO9i2QA_Qd1-n1B5Ve07pAgAdwyzcO_nM=e_10MRKSw_ZCg@HIDDEN>
 <CADwFkmm0i6ci5n_LEN4efoN1V3haVe0joOc5omhJut96yYOiBQ@HIDDEN>
 <DM5PR2201MB1161D6DBE3D0F58622D59B91A72D9@HIDDEN>
 <DM5PR2201MB1161007E70B495CACAAE3796A72D9@HIDDEN>
Date: Fri, 21 Oct 2022 19:30:00 +0800
Message-ID: <87mt9p5s93.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20754
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 943
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58671
Cc: Eli Zaretskii <eliz@HIDDEN>, 58671 <at> debbugs.gnu.org,
 Stefan Kangas <stefankangas@HIDDEN>,
 Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>,
 Dima Kogan <dima@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

German Pacenza <germanp82@HIDDEN> writes:

> German Pacenza <germanp82@HIDDEN> writes:
>
>> It's eff4a4f49a7. Without the 'g'.
>>
>> commit eff4a4f49a7c45df9d27f0515c07d8e8727d84bb
>> Author: Stefan Kangas <stefankangas@HIDDEN>
>> Date:   Mon Oct 17 15:26:56 2022 +0200
>>
>>     Improve native-compile-prune-cache messages
>>     
>>     * lisp/emacs-lisp/comp.el (native-compile-prune-cache): Quote name of
>>     pruned directory.
>>
>
> And this is probably the fix:
>
> commit 0dbd1dbe7d82331f3fda9a0d0b29373149fa7ce5
> Author: Po Lu <luangruo@HIDDEN>
> Date:   Tue Oct 18 08:52:01 2022 +0800
>
>     Fix bug#58584
>     
>     * src/xterm.c (x_handle_selection_monitor_event): Return if
>     selection event is one Emacs asked for.
>     (handle_one_xevent): In that case, drop the event and don't let
>     it reach GTK.

Yes, I already asked if that was it.  But I think the mail didn't reach
its intended recipients.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 21 Oct 2022 11:19:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 07:19:11 2022
Received: from localhost ([127.0.0.1]:37164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olq3S-00068K-OF
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 07:19:11 -0400
Received: from mail-bn7nam10olkn2016.outbound.protection.outlook.com
 ([40.92.40.16]:31360 helo=NAM10-BN7-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <germanp82@HIDDEN>) id 1olq3Q-000686-Tv
 for 58671 <at> debbugs.gnu.org; Fri, 21 Oct 2022 07:19:09 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VfkjINd853Adv47QL9UGr3lc+kQdNIikJA6oDuEcgQw1gJMqfKds2DNPyYafH6GZG/m2p1jFJpGgGYGf4Lc3/7n/jTHXcOaiRD21uGN/NGIQUHSJa8ORvJhMUN1IIhZphb1i1eT8J/9yA953Gz7Xr3txPiVHtBNirRuH2f+AzWLG7FI7zjUPVsgz/jxj9kW5I/1WHb3fgP1D5gRdTn95OMJ3gKHYefyN+mkE8lnxnDxHKd4uV7FyAGqDlMhH8pSuCINl5n/zSJvleYop7IAIn+fufMGub1g1njYTCllvwxjk4SV+i6XpooUKUlpG+p3tZEjQXEoJM3oeoxYkGaV/6w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=yadAOcNMEkREq4w8nzb6zoiFbLlOb3Y7QsEMVavblrs=;
 b=K4/W/2W6q8LUeBFnDLrrx8Cqycu1mUTw51zt38VzeHz/Gt6CQ0HTFMTzsjtTuVzNhc/2VINyDTE/rpRq5/MWcY8xFmVvvkONP9lDNNPpbcoeSQUUmQO2hnmirQMI/M7ngii3IRN2OmHPwIpv5OPV+jHi6uwuYpoKFAQFqSX5K5Vy6pUtoz/+C8b2Kt1I6nUrSpwd6Rc5hfv0W3U2fVg4zcwOeiw4jDVG62BRU9qVhw2HvRlAgwjdWTSyNBKBDDHSZ0utDHkLBT+rc282+U+PRCCIbm8VKnFg/n8nBI89eu2tNc1kqVh+nGtnpe5B7mnhXBuVgFvdzjohJtIB7pU9zg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=yadAOcNMEkREq4w8nzb6zoiFbLlOb3Y7QsEMVavblrs=;
 b=FC/9/8rjaB7eu293/7g+BRkGC5TL0VfwiS+Q5dtZHPz4ddvAz32D3DN1fgaldfvuZDYAam9AddsnpUrmZP3Edh/PLm9HQnyBiNFWGtPnf5ikCPk0wT/vs56Q71Soh4NogjSxfpUGyLjUyfu+ZayXP8TBe6wLAMdMomRlMbhmizeu/4KN4UAO+o33h57d11f2Qe9Y0tJtehK7UI6qnSV+qFX1vz8Ycy2U/TeJ4gV0GYrIz8jbg5h2z2XcJd8CDzCLzxwvtBMZuZZZJZFmyzquf18Vf7uUS7Qzb/ukfr2U+I9RGpP6VB381XGeB5eypZsOhzzZH7nhRDPs4/1XfsrJWA==
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com (2603:10b6:4:2f::19)
 by DS7PR22MB3671.namprd22.prod.outlook.com (2603:10b6:8:7a::8) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5723.29; Fri, 21 Oct 2022 11:19:03 +0000
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::98a4:ed9a:c078:b649]) by DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::98a4:ed9a:c078:b649%6]) with mapi id 15.20.5723.030; Fri, 21 Oct 2022
 11:19:02 +0000
From: German Pacenza <germanp82@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>, Geoffrey Ferrari
 <geoffrey.ferrari@HIDDEN>, Dima Kogan <dima@HIDDEN>
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
In-Reply-To: <DM5PR2201MB1161D6DBE3D0F58622D59B91A72D9@HIDDEN>
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 <83k04twvso.fsf@HIDDEN>
 <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
 <87pmeltyvv.fsf@HIDDEN>
 <CAAoeO9i2QA_Qd1-n1B5Ve07pAgAdwyzcO_nM=e_10MRKSw_ZCg@HIDDEN>
 <CADwFkmm0i6ci5n_LEN4efoN1V3haVe0joOc5omhJut96yYOiBQ@HIDDEN>
 <DM5PR2201MB1161D6DBE3D0F58622D59B91A72D9@HIDDEN>
Date: Fri, 21 Oct 2022 08:18:48 -0300
Message-ID: <DM5PR2201MB1161007E70B495CACAAE3796A72D9@HIDDEN>
Content-Type: text/plain
X-TMN: [5v4Lg/cJ2I4YBCYr/VjHJdR5hO5v3gTO]
X-ClientProxiedBy: SC1P215CA0067.LAMP215.PROD.OUTLOOK.COM (2603:10d6:4:42::29)
 To DM5PR2201MB1161.namprd22.prod.outlook.com
 (2603:10b6:4:2f::19)
X-Microsoft-Original-Message-ID: <87y1t9jug7.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DM5PR2201MB1161:EE_|DS7PR22MB3671:EE_
X-MS-Office365-Filtering-Correlation-Id: 544771ab-ed87-4dce-fbdd-08dab3560f00
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Csdr50cn9WwmsiIDS/J8ZgcVL2gVRSKGf2B28+ni0dGjR+P8AIeVFnRe+KaoH7UDQo+Y/CDuL/g/LiOEnDcsrQb9GD6EMOwvQm/WJFyrs9PBAqi7BPh0IergvzDGHwXrPQmuru8/LZ+aywVIi3UuJnVx75oxkP1LCdohquxOUmmvox+CZo4m9aKszNw2BQbcv9DJSBYujUd6E4QEvrkTxZcBulfuLg0JAe+7mGT/fcwJye2SkJVTtwt96p5lU6vCtcrLRRcUqqdKbczW9l0hPOHrrQlpyvLa1ul8r+BmqteAckpqrp408+sB5BWAwlm43174UUxR/Fi6Pjho3p3ulzBby7TR0XTLzWi9dXEbiuh3eIe3Tw9VFwR8aLHd6HSmbtCd8yF27EurmcGcte4UsXIins7dywQsj/s6jyEu+JFf/naPZTBpIfnwtx0TpW7ZcBWMUJaXzvBFTAWjalef4FhP+vLdMw5N3GBXzRi8Gn6TugUIvtJD/MX+H3NXiH7Os4V7YVBqlmZIf3Q0vhYCnRzNWKm4B9/4lOMm5vs9D6n3jmvrfWY8RyN4loQ762auRIEi/8TWfcj84ucifuXDUY9aR9zZwEwCPKaJQubA/Gv5maNRlVXC+6LkVuxFT/PW5nQgS5IWC9ABMMjgbQs5wNLb6zlYxvyRvxW1y83ZxBkL/fmo+8bEJzCoFMxwkZaA
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?fHVEfdAVK0yCWDH50O4NO3Gj0QgnmSITGMNBzEvYIXStcrRqxHbit0YYmTUD?=
 =?us-ascii?Q?qdttBvAoPEBpfWBbGy8wH82UueagKmXQgJsW95Dpt64yk1lk35Zltd/xuIsK?=
 =?us-ascii?Q?Exgs3shAg+T52y8FDjBBpQPPrJtLfd64U8i3dit5x4Hanl/tLWTsYi+KQn2+?=
 =?us-ascii?Q?94eDwrTcKvMLPbnshHnYpCbLQezr4Kh9Pc/V7KB/jcqFoTj5t7/25jL7vkNz?=
 =?us-ascii?Q?jBdnSGsguj7TtrGYbww0MXikD4HPPH5df4O7sop+c3+PQ41SKqrGNf6+hIyb?=
 =?us-ascii?Q?domcPd2ljqMlkpv12EY8454oXEHjQcYULeQXTz9dV5VSaiIeYs3y93xCgfGU?=
 =?us-ascii?Q?eWUnTiQyl+50B87PxYWHyxYrWQ1rQ0f1aVVGsUHFxMQgLcV1e5OjaBU0zCSL?=
 =?us-ascii?Q?bqEtsnwPjQ+BH4I76cLb3BxUapYligqIQSSNJhl4XJ0SZv7Nq4cPBIn+PfK7?=
 =?us-ascii?Q?ZR58d9x94GGD+EIoHip+dD6uw6EC+3uNkL1Iq9M/Ypqx5JcVdDfkvgC3zYnL?=
 =?us-ascii?Q?4cEK72ub4e9bIQZ9fI6oAPPoYXpdC0dAoFmd64v5JRdo0TEmwiDMttx/lHAi?=
 =?us-ascii?Q?MvzOU9DCISb5bCd2ONTc3MHUQPnoj/fKp1DSGygo55lMnk2iDInZH0L9TVc/?=
 =?us-ascii?Q?ca57YnrL2HTVkMPdJbayZ7E83CJfHmXFTbxaCdkKTPWz4udwo9gPta4IXwWQ?=
 =?us-ascii?Q?jGPyrPPvj9lQzTXcPCQAPdra/tuJkvvAj6sw1z6mpnLYx2K45e/zu5TQrwlH?=
 =?us-ascii?Q?8UwJ58pnmkX3QUVSujZafMwtFp/T9Au4TkLYW8GDbIiwgCs7eZaNi0lOO2Mg?=
 =?us-ascii?Q?E4LzPahvPq7cWa7BGs01u+sNd/XgqxR/H0tnscK9qVitxnKAmnc0DIN0Nofu?=
 =?us-ascii?Q?6SjoBaMonTEcqRYXl+CtR5b58deEAge11pzAPtAd5Q0j75tLF9ZG2GBsVfN1?=
 =?us-ascii?Q?P6psNdntwt74c7LrZn9w5In5Lq5uTd70AJq57LYBlNXx1gUeX2NUsnWupYpz?=
 =?us-ascii?Q?oySshx7PLXHLh6Syur4gk5sYB6qxHAWIr/ceRh4O/PR3Hd8f8KBn2xHItSDF?=
 =?us-ascii?Q?Ofv4x2bxBOd8EVK7UWFhG7UnaFlJZxE009fEEpXSLcT+bILKdclmIW9tXypa?=
 =?us-ascii?Q?6mFQuP+FWWi6MtXjVa9k9R0C8zwoqep3SCd35OhtRpjVMIJNQJOeOfAxUA9t?=
 =?us-ascii?Q?d29vm5wmOJl6AQk8qDRHOUxGAhVk5J9Q+sTDhEmgUcoMosh1YdtHhVQJKqGD?=
 =?us-ascii?Q?kyCqZYgOMFYpVYOMwwRNGFPJdIJeY8KuBY8OKfqBKQ=3D=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-c3c87.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 544771ab-ed87-4dce-fbdd-08dab3560f00
X-MS-Exchange-CrossTenant-AuthSource: DM5PR2201MB1161.namprd22.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 21 Oct 2022 11:19:02.8815 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DS7PR22MB3671
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 58671
Cc: Eli Zaretskii <eliz@HIDDEN>, 58671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

German Pacenza <germanp82@HIDDEN> writes:

> It's eff4a4f49a7. Without the 'g'.
>
> commit eff4a4f49a7c45df9d27f0515c07d8e8727d84bb
> Author: Stefan Kangas <stefankangas@HIDDEN>
> Date:   Mon Oct 17 15:26:56 2022 +0200
>
>     Improve native-compile-prune-cache messages
>     
>     * lisp/emacs-lisp/comp.el (native-compile-prune-cache): Quote name of
>     pruned directory.
>

And this is probably the fix:

commit 0dbd1dbe7d82331f3fda9a0d0b29373149fa7ce5
Author: Po Lu <luangruo@HIDDEN>
Date:   Tue Oct 18 08:52:01 2022 +0800

    Fix bug#58584
    
    * src/xterm.c (x_handle_selection_monitor_event): Return if
    selection event is one Emacs asked for.
    (handle_one_xevent): In that case, drop the event and don't let
    it reach GTK.

-- 
German Pacenza




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 21 Oct 2022 11:06:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 07:06:59 2022
Received: from localhost ([127.0.0.1]:37155 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olprf-0005qB-Ex
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 07:06:59 -0400
Received: from mail-mw2nam10olkn2093.outbound.protection.outlook.com
 ([40.92.42.93]:47020 helo=NAM10-MW2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <germanp82@HIDDEN>) id 1olprd-0005pz-I2
 for 58671 <at> debbugs.gnu.org; Fri, 21 Oct 2022 07:06:58 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=eiNF7MAGcMz5JyAhmBXNKox/xcKFUODR5X1Z9NnJgzb8hW/eKBHMhCWYGqdT1CGCgexIDlY09v6SxUPla817J8XowfI60dQHAIrby19rlP8XIPjdqxc865oq4T4SqKW5QHXKyJLCWTy0wXRRHsgO/pxAvoXZxjE1mNrM9jcEBCNHp5mYEtPKWzeMtYeE/joo85b+1EwYxFegHaJrcI+ayXp5a/Rt74uAiZ+GuZW+wMFpk237FjJgBTOVSKNpcZzrN8zOrsUVCwebszbFj/hh0ZvPlVnrgpcubMZyP2GMbw3hCtmYWFBocwh2R1T3ryVEc9jvzOMR0eSMVZdMSmaG1w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=3hceTAV269zZYtuEESIngWRghuT/x324KVEr8gw9Iz4=;
 b=iJGydtubuQRvGIcYoEnTdSnrWq1pOH5aMm9tqmmGxYg+yJvuThX/xN5YcfvGw5MwIALUe/Y805EctqeSmuBVAbzJqVp8mb18u4rVIAifkZpANJgK87OZL1J0l0Di83ywPISIaYE8R77K6t6uBdeXk6zq+4ApupUUPUXLAA/S5ubnhktnvfeh6FiWc6M/HcjDuIdLGS/lFv6jNElsZ5x2tpL+vV9Mezlq57BHd6GR4kGo8dueuBUT1UB86KWpNm7xlsot3Pjkn1+M69xfNGHcVRr1ik1vElK/uOCyoEHtgK3MBW/MAE/6vMNQf2TSkzwtZ/2j2NA4R393H0knaMWkAg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=3hceTAV269zZYtuEESIngWRghuT/x324KVEr8gw9Iz4=;
 b=E6rPHKM4sPD+MyAPit3SmhfdVH8e4a1DBAoHKs5hBLDT3xxzYUPCkFwW10eQiaQNK2Tc/l05PhY2mOKRWjXlrLxBtLcmm0F641zLVPSp/WMkLvAu6/rI9QB7JhB5GwlCMgefa6jhMamBAtF9LG5n3Ous2VI8ETb9jNT37AtCbxgW63jWR373YRHCf4OkfG2YwLgXqj9Pm2CgEbV/t4fOn3zlFPjVFdLbmiwxUR9htjkgJ10zALHVrYMcSVrx5Ef7P3dB4+2lede7MX1Ld9QVDwmspr+RRf06YZpLIz+HWNlt9LK5oMo0ZKzUg5gotKwA1Sjtvgnk5qqeiNHRbV3g6A==
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com (2603:10b6:4:2f::19)
 by MN2PR22MB1824.namprd22.prod.outlook.com (2603:10b6:208:203::21)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5723.26; Fri, 21 Oct
 2022 11:06:49 +0000
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::98a4:ed9a:c078:b649]) by DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::98a4:ed9a:c078:b649%6]) with mapi id 15.20.5723.030; Fri, 21 Oct 2022
 11:06:49 +0000
From: German Pacenza <germanp82@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>, Geoffrey Ferrari
 <geoffrey.ferrari@HIDDEN>, Dima Kogan <dima@HIDDEN>
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
In-Reply-To: <CADwFkmm0i6ci5n_LEN4efoN1V3haVe0joOc5omhJut96yYOiBQ@HIDDEN>
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 <83k04twvso.fsf@HIDDEN>
 <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
 <87pmeltyvv.fsf@HIDDEN>
 <CAAoeO9i2QA_Qd1-n1B5Ve07pAgAdwyzcO_nM=e_10MRKSw_ZCg@HIDDEN>
 <CADwFkmm0i6ci5n_LEN4efoN1V3haVe0joOc5omhJut96yYOiBQ@HIDDEN>
Date: Fri, 21 Oct 2022 08:06:24 -0300
Message-ID: <DM5PR2201MB1161D6DBE3D0F58622D59B91A72D9@HIDDEN>
Content-Type: text/plain
X-TMN: [5fPLA9uVvL2J6DoXN37UhCEi9TJKzQ6N]
X-ClientProxiedBy: SC1P15201CA0032.LAMP152.PROD.OUTLOOK.COM
 (2603:10d6:4:54::18) To DM5PR2201MB1161.namprd22.prod.outlook.com
 (2603:10b6:4:2f::19)
X-Microsoft-Original-Message-ID: <87bkq5o2q7.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DM5PR2201MB1161:EE_|MN2PR22MB1824:EE_
X-MS-Office365-Filtering-Correlation-Id: b9dac011-6ca8-4419-d3ba-08dab35459e1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: wn7/ddCxGVhJ9Fz8ucTWYq0pkDazQJ3btoA0dwEmnPO+5X19c/GsQ5QCw9Z0w42SPlki958MVf2ExSLWrl6JiWNZpR8EdX4ghtbgG9NWVVp9OfU2wgOC8MugBx0XwfdcuK3AXqAeaelmIzx4KrjSGC7GONRFWCScppKCbjc0fZq9z7aT2IBRQze6vAi24LDV4Ql0kTM5qALgeJLj2nnifrywcsN1R8oRLhsFvCeD7bXZLkMECTG+3t/Qd7QnLb8n4v6ix/6MQEgk8MvCRR7UPDzd40becqQ5trbuRjJxwdoIIJJvABsZz9ioRPa94veemYLhKYGjfS6DiZaScTeH7YWyrL4+xtUUh610yuxoNM+TCoS7XRmuq2JfCo8drHtPA37aHV0afotIpCFW8+KyWb0GNAQpIWQGfCfctm7dgwktAO4M6X15U3MZwsqBDaNNQrHNoSJf0d9G9zeoG5WFzkR8YtmG/0trkJpCDSRd0VY/i9NO2v6SpRWvSmJ2ZXZgvsDagWg+AKLgxpA+0tKsdbODnP0+rHw/RlZUSdfKYZuxgX9E+IbmqeESTFd4wXg9sj90PsGjQ5/0Yf/IYO9ziVVVKJWd0I4Nrb0vMAWshj85Fjda7UutKYGOOSbLf1orJnaE76axWkBvRuxhH8Etz77BG1izjMc7gxOEv9tPNAk64SixWfPiHOKLKMA/yuYp
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?cEux6NMx0WOV1fb90iV4IjzyLMDAJwjAPgE+RFd76sum3L4tzSQBYLqiwJOE?=
 =?us-ascii?Q?j70uQxoEORP/6QKxaOut/vfL8WfWK2lCFb5o7jlCFJBu3WlXsRpPYl4VWUAv?=
 =?us-ascii?Q?HKGvkJeEMVVE0oLyoNG7nYWriSGeuBMeTYnfyd9gz+3s3MEYN/B8gMmgF7k2?=
 =?us-ascii?Q?3l/TNF52pTiOH3PG6uKg5Pt3k8V7eiidE1KqXTO7TgB+IjE48o6yxDA9Pj1P?=
 =?us-ascii?Q?TUch8DFqrsjvc2Rmdi5mqvVUnLvNFloTVc2V50M8oWgmcFkDG95zKKh4SpY7?=
 =?us-ascii?Q?nRXx3hmxEwN9gMKR+/Z4flUIOLX/1uE9NCSCrNE4/U7H4VAygFy84xtLmqKh?=
 =?us-ascii?Q?iTc0bpMW8WKYMO6rxc8R62BitL3ZI2pUVfv5yuFosrh2Ka0EeDiIRYAz1Moz?=
 =?us-ascii?Q?yLP+a3LFXHixud4WlQBZZo2AWaDebGVD81t4ZP7HMhTXRXI2RGzDWy64XGUo?=
 =?us-ascii?Q?W4iJ2X6I+a3nQDl3R+4uDWcFb5OskexlcB/L2ZpKIjWNjFeRVuc+fOScfji7?=
 =?us-ascii?Q?x3d1JalFUz8GC8/XU0XOVn1Osc9hfPpbnUWexZpe9vxPO2WQ+3EaucHBjrf+?=
 =?us-ascii?Q?78r/eTc2nCtwchiftbLZKzZ+qP3e9WEihF3xB7JTJWVtuoLTcyB8k75Eao8x?=
 =?us-ascii?Q?HwVj3dPBESWYYO8uFQ31rCLfRc1bF6SQXfWCf8mJ+dd6tJEn0BM7EkroeylY?=
 =?us-ascii?Q?AhbrS6upSC3hmLbJjEizebxR5SHmgKW7QnH7tvxMs3ziROYLLvBg4B3POqX5?=
 =?us-ascii?Q?slztYMbSWcEwEvsSRAN6jsQc7z1GUhsRT9ytJvZulkcMwXU1RzW4NVuynqu+?=
 =?us-ascii?Q?RpCSUpj0jeOlFU9zdKUeFTEjsBQ05xt31Mi1olVbtbOuUA2xHDndeae2exNO?=
 =?us-ascii?Q?kpb3BjWSKR4vMNRFhjQLMfC1aVOx/xu2yEVDJBMi+2OIfVf8/b2Q/Tsi3c9k?=
 =?us-ascii?Q?VvTWHVtf7LuhGi6JC+yjajFwt7EuyOl6VrcYCJCq0Hgo97y9c2x3U8NDEWjC?=
 =?us-ascii?Q?IVMu/+Y2YTUc5OmImryms884haDtIu2goW3o82beM7zmMDV0dnD9pMLGJpGW?=
 =?us-ascii?Q?L+zsFqif7rrx1NPYYrlpFO5d1fZH0oTzJcAXix02cxa9OIiHdswvF2PFjZWx?=
 =?us-ascii?Q?rqdg/wub668dD6FInX17hWP1f39cdv7wm9zDiRnil9nS79ldqBXDNxPQfTSE?=
 =?us-ascii?Q?dFHykWTDID+soyva60XbzjclU/H2zprjN/J3iIVsM7OlEeEK1gqtY70dgxyc?=
 =?us-ascii?Q?HoUufULuOOPZwhsO7PzkirZ/N83hdN24k3Ej34sBpw=3D=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-c3c87.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: b9dac011-6ca8-4419-d3ba-08dab35459e1
X-MS-Exchange-CrossTenant-AuthSource: DM5PR2201MB1161.namprd22.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 21 Oct 2022 11:06:49.5599 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MN2PR22MB1824
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 58671
Cc: Eli Zaretskii <eliz@HIDDEN>, 58671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Stefan Kangas <stefankangas@HIDDEN> writes:

> Geoffrey Ferrari <geoffrey.ferrari@HIDDEN> writes:
>
>> ii  emacs-snapshot 2:20221017+emacs-28.2-159651-geff4a4f49a7-1 amd64
>
> I can't see commit geff4a4f49a7 in the Emacs repository.  Could it be
> specific to secretsauce.net build?
>
It's eff4a4f49a7. Without the 'g'.

commit eff4a4f49a7c45df9d27f0515c07d8e8727d84bb
Author: Stefan Kangas <stefankangas@HIDDEN>
Date:   Mon Oct 17 15:26:56 2022 +0200

    Improve native-compile-prune-cache messages
    
    * lisp/emacs-lisp/comp.el (native-compile-prune-cache): Quote name of
    pruned directory.

-- 
German Pacenza




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 21 Oct 2022 08:14:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 04:14:37 2022
Received: from localhost ([127.0.0.1]:36934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olnAr-0000mi-5O
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 04:14:37 -0400
Received: from mail-oo1-f54.google.com ([209.85.161.54]:38614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1olnAq-0000mU-3P
 for 58671 <at> debbugs.gnu.org; Fri, 21 Oct 2022 04:14:36 -0400
Received: by mail-oo1-f54.google.com with SMTP id
 g15-20020a4a894f000000b0047f8e899623so334555ooi.5
 for <58671 <at> debbugs.gnu.org>; Fri, 21 Oct 2022 01:14:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=y8rbtoFKwicHi3TJehFFtFiKkWRpp9fKMxFZ39qyksA=;
 b=QjjFFlbcq3oSyjZ8soLhqNbaR8LXSTekhYtxmpYHek5SphGpadQ4a+PaktR9j9sVxj
 N8sageVtSTCuFN6PA8jyHaH3xVVrgbpvmnUrkjAfXEYkmYsrlOKUsssi6UgPgU6tNE56
 +5DYNcqMe/Y5MQaBfZ6ESKDE5Pv2aqBdU4+Z8R04RhmlfsXmM1fqzV7acqjn/beqzpkV
 nnIaAeiSacIMv1xWoAja34fOnvjXc0WhWabvdbLPizsWPuZp8DFpbpf7fAfnwsw+T29L
 ukBe6rLbFnnRCPLZPlOlx4GlTmPWEuzd8fdxcIuPVnr3TcA6j3eLoAHzGsIy9bx3sYl2
 YW5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=y8rbtoFKwicHi3TJehFFtFiKkWRpp9fKMxFZ39qyksA=;
 b=jn6N6bDgG/mdNXooxlBP5psVt5dLT1+0xauC0vjc+NhcZ9crodfbWPR6Wk77W8u9Ts
 QjxA5yu4nHu3tz2KEXd2pcQarxAhiBzAH5/L5/PU/Zj0o2sskWpVfOT0PggRVSy2UaIz
 7G8zNY3vkVSdth0oY8wlYSpdJczdVTJLFsVe9Sl6PUtqqCuTzPzyHbjkTmX6saqR6R7i
 nApqC+O3uasct7pViZIC4wfz4LJNRBzvCz+2K/t41bXbAku8L5z0LQPxterZyHJYKesi
 46kwT5jAwp85+V62EqkTeSC8rQK2OLS587pOS7rO9PG6ektf8N3RJjPxqn6jriuPyshY
 iECw==
X-Gm-Message-State: ACrzQf3Hu0sGSuf6r+GsFCcqSrw23iXE0wOTsagK67SG3ZUuB3zxuUu/
 sjyJM8ix/N53eEzD1JHVBZgOHGZqvcr/Z8BF7tw=
X-Google-Smtp-Source: AMsMyM6U7cqkfuWGISV39/BGkwJAYXcf6YvEI0A2Ctpma+W42jtTL0H0QAgI8I/OXnxcdA1Zt7lMQyhDAj4y6qRw+pY=
X-Received: by 2002:a4a:4bc5:0:b0:47d:9d6f:928b with SMTP id
 q188-20020a4a4bc5000000b0047d9d6f928bmr8284283ooa.34.1666340070057; Fri, 21
 Oct 2022 01:14:30 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Oct 2022 01:14:29 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CAAoeO9i2QA_Qd1-n1B5Ve07pAgAdwyzcO_nM=e_10MRKSw_ZCg@HIDDEN>
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 <83k04twvso.fsf@HIDDEN>
 <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
 <87pmeltyvv.fsf@HIDDEN>
 <CAAoeO9i2QA_Qd1-n1B5Ve07pAgAdwyzcO_nM=e_10MRKSw_ZCg@HIDDEN>
X-Hashcash: 1:20:221021:eliz@HIDDEN::1kPRGHkJYH+tZkCL:1yVG
MIME-Version: 1.0
Date: Fri, 21 Oct 2022 01:14:29 -0700
Message-ID: <CADwFkmm0i6ci5n_LEN4efoN1V3haVe0joOc5omhJut96yYOiBQ@HIDDEN>
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
To: Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>,
 Dima Kogan <dima@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58671
Cc: Eli Zaretskii <eliz@HIDDEN>, 58671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Geoffrey Ferrari <geoffrey.ferrari@HIDDEN> writes:

> ii  emacs-snapshot 2:20221017+emacs-28.2-159651-geff4a4f49a7-1 amd64

I can't see commit geff4a4f49a7 in the Emacs repository.  Could it be
specific to secretsauce.net build?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 21 Oct 2022 07:52:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 03:52:46 2022
Received: from localhost ([127.0.0.1]:36871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olmpi-0006PZ-6r
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 03:52:46 -0400
Received: from mail-pj1-f47.google.com ([209.85.216.47]:38597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoffrey.ferrari@HIDDEN>) id 1olmph-0006PN-1L
 for 58671 <at> debbugs.gnu.org; Fri, 21 Oct 2022 03:52:45 -0400
Received: by mail-pj1-f47.google.com with SMTP id
 x1-20020a17090ab00100b001fda21bbc90so5898309pjq.3
 for <58671 <at> debbugs.gnu.org>; Fri, 21 Oct 2022 00:52:44 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=cGA6BDCchCtxV24cRCzAeuHvThdi5HGKnipTL+i3WnQ=;
 b=p8q4Fb9GzgLu2ZeZpxcwa6BctkhzY3zCP6mamnd+96uurj8y/nKWzJHbh/zW7AfCOm
 Q1JfCkZvTx4jbY496cOLRPHP2ssle0JxjOIWYceUHwhEDxgm7B2ujFZuU/DkXfurWKyk
 /CMg/7MgZLhqgsIas4eUZD6K1FGVKWpMyT1PRENHO0kvrCRUP53DjGdF7gzytRLyd0bn
 FpBVxDGldZZCy5q0S15YIDgLWph6pHql2qtn6JC1onbGnMIeJLF/Y38mOYcI4QPeQp7s
 uwwK5GE53jtxBJlW5VSBYquzbgfl0deUT0jds5hFEjTx8u5vMGdyQVYNYi5jdsRQX8h5
 ADZg==
X-Gm-Message-State: ACrzQf0xLKmtZtqzhUHUyKoaytHvh5rX7A/DFQruTpJqASUo8tnpVXDF
 G/xIvr7Gxw5tJ/za36T78aS9XbWizRe/g0/frM0=
X-Google-Smtp-Source: AMsMyM6BVX6/U+f182rOrurmExrx0NKw4Mt1noNV/prqaf2heaQRt2+U1J9gSeCR71R72+qXM93wy4X4d8N+kCmsHlQ=
X-Received: by 2002:a17:90b:3a90:b0:20d:a54c:e5cb with SMTP id
 om16-20020a17090b3a9000b0020da54ce5cbmr21156271pjb.109.1666338759193; Fri, 21
 Oct 2022 00:52:39 -0700 (PDT)
MIME-Version: 1.0
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 <83k04twvso.fsf@HIDDEN>
 <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
 <87pmeltyvv.fsf@HIDDEN>
In-Reply-To: <87pmeltyvv.fsf@HIDDEN>
From: Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>
Date: Fri, 21 Oct 2022 08:52:27 +0100
Message-ID: <CAAoeO9i2QA_Qd1-n1B5Ve07pAgAdwyzcO_nM=e_10MRKSw_ZCg@HIDDEN>
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
To: Dima Kogan <dima@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000d138fc05eb86b906"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 58671
Cc: Eli Zaretskii <eliz@HIDDEN>, 58671 <at> debbugs.gnu.org,
 Stefan Kangas <stefankangas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000d138fc05eb86b906
Content-Type: text/plain; charset="UTF-8"

*dpkg -l emacs-snapshot* returns:

Desired=Unknown/Install/Remove/Purge/Hold
|
Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version                                     Architecture
Description
+++-==============-===========================================-============-========================================
ii  emacs-snapshot 2:20221017+emacs-28.2-159651-geff4a4f49a7-1 amd64
 GNU Emacs editor (with GTK+ GUI support)

*emacs-repository-version* is nil.

Many thanks for your help,

Geoff

On Fri, 21 Oct 2022 at 08:41, Dima Kogan <dima@HIDDEN> wrote:

> >> It is unclear from which commit of the Emacs Git repository was this
> >> built. AFAIR, there were some problems in this area fixed lately on
> >> master, so perhaps try with the current master branch.
> >
> > I'm also copying in Dima Kogan, the maintainer of the Debian packages
> > on secretsauce.net in case he has anything to add.
>
> The package version contains the git hash: "dpkg -l emacs-snapshot" will
> pinpoint the revision.
>

--000000000000d138fc05eb86b906
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div></div><div><b>dpkg -l emacs-snapshot</b> returns:<br>=
<br>Desired=3DUnknown/Install/Remove/Purge/Hold<br>| Status=3DNot/Inst/Conf=
-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend<br>|/ Err?=3D(none=
)/Reinst-required (Status,Err: uppercase=3Dbad)<br>||/ Name =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 Version =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 Architecture Description<br>+++-=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D-=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D-=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D-=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
<br>ii =C2=A0emacs-snapshot 2:20221017+emacs-28.2-159651-geff4a4f49a7-1 amd=
64 =C2=A0 =C2=A0 =C2=A0 =C2=A0GNU Emacs editor (with GTK+ GUI support)</div=
><div><br></div><div><b>emacs-repository-version</b> is nil.</div><div><br>=
</div><div>Many thanks for your help,</div><div><br></div><div>Geoff<br></d=
iv></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_att=
r">On Fri, 21 Oct 2022 at 08:41, Dima Kogan &lt;<a href=3D"mailto:dima@secr=
etsauce.net">dima@HIDDEN</a>&gt; wrote:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rg=
b(204,204,204);padding-left:1ex">&gt;&gt; It is unclear from which commit o=
f the Emacs Git repository was this<br>
&gt;&gt; built. AFAIR, there were some problems in this area fixed lately o=
n<br>
&gt;&gt; master, so perhaps try with the current master branch.<br>
&gt;<br>
&gt; I&#39;m also copying in Dima Kogan, the maintainer of the Debian packa=
ges<br>
&gt; on <a href=3D"http://secretsauce.net" rel=3D"noreferrer" target=3D"_bl=
ank">secretsauce.net</a> in case he has anything to add.<br>
<br>
The package version contains the git hash: &quot;dpkg -l emacs-snapshot&quo=
t; will<br>
pinpoint the revision.<br>
</blockquote></div>

--000000000000d138fc05eb86b906--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 21 Oct 2022 07:33:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 03:33:04 2022
Received: from localhost ([127.0.0.1]:36831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olmWe-0005rk-MC
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 03:33:04 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:38059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dima@HIDDEN>) id 1olmWc-0005r7-Ub
 for 58671 <at> debbugs.gnu.org; Fri, 21 Oct 2022 03:33:03 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id D52395C009F;
 Fri, 21 Oct 2022 03:32:57 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Fri, 21 Oct 2022 03:32:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=secretsauce.net;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=fm2; t=1666337577; x=1666423977; bh=p5
 3rzQiaMoKz0Aylw3lNeZBOirTHk9AoU5mhIVWJktI=; b=U0A6McfTRUlVZE2L8c
 M2Cft7uon4rw9gSzz+qoWNePPV2WHV2ULYroKB34dDyf8izdq/6tLhOKmUhiUfrS
 d+MGp6HO/0cjUaD94I/ZuleD6HqL9sAJLjgwWFVHmfPB6MppcZtPdejeyEd8vIZ0
 2LK+XslpZoY4MKQhtxuNTXzpCRbvFCEqiZR6b/x/cUqVqevtEWM+690XVnn16jB+
 iI/8ENAVz0TQTTR561e+7H90pwldahySovEpf7yuAFOycjp6R0GnakGGtFZiMR7K
 +yk0Wu1gSbVbS1WCeoNc+K3WbaWlSRvaU62WzNxjaChOY+nnu/xeQ6Zxjrrfdg5j
 ohag==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; t=1666337577; x=1666423977; bh=p53rzQiaMoKz0Aylw3lNeZBOirTH
 k9AoU5mhIVWJktI=; b=QBBWzam9cEhuXMjSHheE6gZwAgsQtzSo7CHGTc2OYKRN
 vDWbxlhp8zNsL3lgABIgZlbUSDiGPiVDgcH58fNd2BLQm2bkbfSLkYNRva/xLOYS
 LeLoxSYHdMIbS8rycUBW/ZbakX5/N/3yyajYLCKu0VLH1ukRIJ5obmfNJrJ7LwmA
 N6s0lTxUK7rgYIUwtm+tqgixXk1eGAJlVuSPDzIhp8TBbGTU4Pxr3GMx1ExzVcGG
 DN5Gu1iIHguisLd2jEO2x3vfrWWbZ2cYUVAV0qyoi9QmfC+nUU8wdhE8kLmFjPH4
 vrg0aI9vY2Ec7zJPnEbRj5CuwmS7cXfTCGnoFZrtNg==
X-ME-Sender: <xms:KUtSY_L4TYqN0Nm1E6NiP3Vx4DJGwafkAQ-jUaSs2L2viQn1QYAGCw>
 <xme:KUtSYzKH6pNBF4QLYNrnmv1-Q58Vx1C1WiV9_qtkRl4zSXty8Z5ev0uOG2T42qWxI
 Kn5LRufDDuvktdq>
X-ME-Received: <xmr:KUtSY3vUyqVNIdbOhc4IA7hAQ3kbUzQMMilFw0WVCrDj0TMv19LwJKPX>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrfeeljedguddvfecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpehffgfhvfevufffjgfkgggtsehttdertddtredtnecuhfhrohhmpeffihhm
 rgcumfhoghgrnhcuoeguihhmrgesshgvtghrvghtshgruhgtvgdrnhgvtheqnecuggftrf
 grthhtvghrnhepfeduueevkefhieetgeegfffhgfevkeeffeegjeeileeggefftdehhfef
 tdekledvnecuffhomhgrihhnpehsvggtrhgvthhsrghutggvrdhnvghtnecuvehluhhsth
 gvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepughimhgrsehsvggtrhgv
 thhsrghutggvrdhnvght
X-ME-Proxy: <xmx:KUtSY4ZmiqLx1_LOf7zfPA-lFZSkJb9kOOQopcoTdeBwQxeuLVcUYg>
 <xmx:KUtSY2bP1YAwFAy1NiOBe8xqnwjDi2iFn1Udh7_Wb-L6zNg7T72IOA>
 <xmx:KUtSY8COTRrlo1awoA3AHRniS6WKKjDtMfUmbVqDdaSB6CuYIlnphg>
 <xmx:KUtSY1kj6XciZeJxiVezlnDK_zjbYmEh-UXv8hD5-wpl3Rw34nlcEA>
Feedback-ID: i3e8042a0:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Fri,
 21 Oct 2022 03:32:56 -0400 (EDT)
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 <83k04twvso.fsf@HIDDEN>
 <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
User-agent: mu4e 1.8.7; emacs 29.0.50
From: Dima Kogan <dima@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
Date: Fri, 21 Oct 2022 00:31:19 -0700
In-reply-to: <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
Message-ID: <87pmeltyvv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58671
Cc: Eli Zaretskii <eliz@HIDDEN>, 58671 <at> debbugs.gnu.org,
 Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> It is unclear from which commit of the Emacs Git repository was this
>> built. AFAIR, there were some problems in this area fixed lately on
>> master, so perhaps try with the current master branch.
>
> I'm also copying in Dima Kogan, the maintainer of the Debian packages
> on secretsauce.net in case he has anything to add.

The package version contains the git hash: "dpkg -l emacs-snapshot" will
pinpoint the revision.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 21 Oct 2022 07:28:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 03:28:27 2022
Received: from localhost ([127.0.0.1]:36816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olmSA-0005hF-MD
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 03:28:26 -0400
Received: from mail-oa1-f50.google.com ([209.85.160.50]:41515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1olmS9-0005gp-Ev
 for 58671 <at> debbugs.gnu.org; Fri, 21 Oct 2022 03:28:25 -0400
Received: by mail-oa1-f50.google.com with SMTP id
 586e51a60fabf-13b23e29e36so1807591fac.8
 for <58671 <at> debbugs.gnu.org>; Fri, 21 Oct 2022 00:28:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=uzBHQg4ZoIcOnBYtDCKiqUfwqvWH9DXlG5A2KBiJjiA=;
 b=bHhsXNsscW1nZNVqLRP4n3t50GZ+Od5A1h2kIUudacdsHoKK643KIHPik0DYzfkm9Y
 JqhdF9hIx/ToEbx1yi07i27tzohLIr3y4qDx5s9q2iwjFfMi5cU08dWAkUQpOVTjn0wL
 qJxK57B3Y53T7UxkCwNqvBbtukLnCKnO61HuJ6rrZx3ahDX9wx+bNXf8r9B+OysVcRAr
 SfdTJqbXS0YX8kC5lHDAovhPU3agyXVmXDUEjZYV8tKreE8rRutLjHgQCwFiwYkpz3YO
 EkFhHteeF3zZR+3G634y9pH7JVwBwth20L+1riBCX3d23BIsh9BWojvwsr1eN+aO5LTa
 6+Fg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=uzBHQg4ZoIcOnBYtDCKiqUfwqvWH9DXlG5A2KBiJjiA=;
 b=SywbZx8DygzcNcxIJpblfNFQNpe9Fr8n2+PUDHswkOzchIHTZBXY8SMKhb3crhJmm7
 N3QYmIUtXOTBBL0P5osHGbi63hBx6hqmJaL5wXmMNLKRY1xoHNm9rBGMayl4b+sMY8gX
 TBslunrjNav7npe03y6sBnT/Pbd2acDs7Rx/mh0jZ8AeKijFMuPcmCag7IUgLWH0iDdA
 jgctQ7LP7ejEFcG8ml4yfJOdnOdJqrtzmcDWJZBvLJd8YbyeR6yv1znAuTKjEhBKd19f
 T/F+1FKC/ZKihY0YAuZCAmTeCzOpqeksNLJmvkvbnO2qUyKqj1NfPF2V99W2WnthJ0Hu
 882Q==
X-Gm-Message-State: ACrzQf2pfJtHfrEtsLbl83r54VG7Pf81vQfdRVNXX2cDH3sRwCy/BSP0
 xrfwhjzyDeSvxkWb4TYYwSZYiB0D/xgZknRbVAM=
X-Google-Smtp-Source: AMsMyM7AVMeYkVvjpHNAjjxJrWxRbg01XQ4piuMlwe+Hspho1L7G2glWsw9XBpTCr+Bkz1hoS9j4c3BGGuCiNytOEKc=
X-Received: by 2002:a05:6870:d79a:b0:136:50d7:faa9 with SMTP id
 bd26-20020a056870d79a00b0013650d7faa9mr27190172oab.92.1666337299894; Fri, 21
 Oct 2022 00:28:19 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Oct 2022 00:28:19 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <83k04twvso.fsf@HIDDEN>
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 <83k04twvso.fsf@HIDDEN>
X-Hashcash: 1:20:221021:dima@HIDDEN::SwQ5B5nXvN29PObp:2uUY
MIME-Version: 1.0
Date: Fri, 21 Oct 2022 00:28:19 -0700
Message-ID: <CADwFkmmmXmpTtNmRM6Em8EpGXMGon+GZaNBZ2zyZOaXSNviJ4w@HIDDEN>
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
To: Eli Zaretskii <eliz@HIDDEN>,
 Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58671
Cc: 58671 <at> debbugs.gnu.org, Dima Kogan <dima@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> To reproduce:
>> Highlight some text and run kill-ring-save which ultimately calls gui-backend-set-selection.
>>
>> Kind regards,
>>
>> Geoff
>>
>> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>>  3.24.34, cairo version 1.16.0) of 2022-10-17, unofficial
>>  emacs-snapshot build: http://emacs.secretsauce.net built on
>>  lilbastard
>> Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
>> System Description: Debian GNU/Linux bookworm/sid
>
> It is unclear from which commit of the Emacs Git repository was this
> built.  AFAIR, there were some problems in this area fixed lately on
> master, so perhaps try with the current master branch.

FWIW, I can't reproduce the above crash on Debian GNU/Linux bookworm
with current master.

Geoff, could you show us the value of the variable
`emacs-repository-version'?

I'm also copying in Dima Kogan, the maintainer of the Debian packages on
secretsauce.net in case he has anything to add.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.

Message received at 58671 <at> debbugs.gnu.org:


Received: (at 58671) by debbugs.gnu.org; 21 Oct 2022 06:11:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 02:11:32 2022
Received: from localhost ([127.0.0.1]:36701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ollFk-0003ce-JT
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 02:11:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ollFi-0003cR-Qr
 for 58671 <at> debbugs.gnu.org; Fri, 21 Oct 2022 02:11:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ollFd-00026K-8a; Fri, 21 Oct 2022 02:11:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=EH3vj8IuV0ClijSmFKsFf1DG7lNXbkPPNAU/KAMeByM=; b=h+MTShluVG3P
 CBIAW0raUlt4I7uPtCUf1I7bOSvYfBNA3QV48Qo/0lbZQ+xeoXz/EGdlnjqNAeW7WVreE1Egt0vrK
 72ecSwhaex0MCwFLOmXspJd+C2HtfxZBoqVDvyn/ePnzYwiHcKdVtiQgWXgMNEnSfErHzpwP5izVW
 18dv1WBO+fqexmTT+RyjalC2ObpkldsKhzn1YFUbU090oipihZ5Q+IvVMKLRr7D6eq80rDXGwlY9J
 MwC00keERCfshNkVYF2f5fy8G2oAt7B4mcg9JRriaom9BZ2GEAuF9zboUR5q+3hRk+gJCfpiJkzw7
 5uBMhlcbj6zJPwfR08XYrQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ollFZ-0005MG-S9; Fri, 21 Oct 2022 02:11:24 -0400
Date: Fri, 21 Oct 2022 09:11:19 +0300
Message-Id: <83k04twvso.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>
In-Reply-To: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
 (message from Geoffrey Ferrari on Thu, 20 Oct 2022 22:57:41 +0100)
Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12
References: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58671
Cc: 58671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>
> Date: Thu, 20 Oct 2022 22:57:41 +0100
> 
> To reproduce:
> Highlight some text and run kill-ring-save which ultimately calls gui-backend-set-selection.
> 
> Kind regards,
> 
> Geoff
> 
> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>  3.24.34, cairo version 1.16.0) of 2022-10-17, unofficial
>  emacs-snapshot build: http://emacs.secretsauce.net built on
>  lilbastard
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
> System Description: Debian GNU/Linux bookworm/sid

It is unclear from which commit of the Emacs Git repository was this
built.  AFAIR, there were some problems in this area fixed lately on
master, so perhaps try with the current master branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2022 21:58:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 17:58:01 2022
Received: from localhost ([127.0.0.1]:36317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oldY8-0007Jw-49
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 17:58:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:43770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoffrey.ferrari@HIDDEN>) id 1oldY6-0007Jo-34
 for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 17:57:59 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geoffrey.ferrari@HIDDEN>)
 id 1oldY5-00016G-PV
 for bug-gnu-emacs@HIDDEN; Thu, 20 Oct 2022 17:57:57 -0400
Received: from mail-pl1-f176.google.com ([209.85.214.176])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <geoffrey.ferrari@HIDDEN>)
 id 1oldY2-0000Fr-Sf
 for bug-gnu-emacs@HIDDEN; Thu, 20 Oct 2022 17:57:57 -0400
Received: by mail-pl1-f176.google.com with SMTP id f23so555600plr.6
 for <bug-gnu-emacs@HIDDEN>; Thu, 20 Oct 2022 14:57:54 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=4U8hKYG+5CMOR/p5Olgr9b/UM4fognOzBmqvrOEsntE=;
 b=L/5bj16Xxl8ujmGCJuBQmfpYEmrmGXNWzHOLXzvIluo6XZlcMYWaQb8/ObsPaf2mvs
 TOlBiJymzVpQBgaxzjKnhNxiqxW22EshzPA3Xjm1mgGqGzDFVugqQ5Nd0JuVqJrGRfJr
 qBCBM3rGrANyobRMzFVBbsvR41QPVt/Ba7MVAw303n4dUiqYli1W2A2G1zHMYvw33UCR
 O1UBxJycs9Kmtzh4waNDTcDE8MAMaeiNVjcJGWXHQR/k31EtsUirsYzGq3edX/9tUWVk
 AFC27Hj00bDRCblWUEjPMHw8YcwPZ66mUYPjT2PM1ywIRn1ZZExynUeb98HMNMQibxUU
 ZhQg==
X-Gm-Message-State: ACrzQf0qLheXXtiuqCsWZhO4KF5lUGGd7JfJ02Ppjy7c3dFVWcN9g7WW
 +Fg6V8IufKQYDnxXDlErpBa6g60xYFSdYMEgWHMYOt8iyxuoMQ==
X-Google-Smtp-Source: AMsMyM7XQF6SRlQn4TBOF2NDycYyWqSovXkcr7gm8xdoEhPdR2QdxDbX8ttl/9hs34fBP0yrCSJ5lXWea8ovLHovFGw=
X-Received: by 2002:a17:90a:4311:b0:20b:e232:5920 with SMTP id
 q17-20020a17090a431100b0020be2325920mr18620097pjg.190.1666303072651; Thu, 20
 Oct 2022 14:57:52 -0700 (PDT)
MIME-Version: 1.0
From: Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>
Date: Thu, 20 Oct 2022 22:57:41 +0100
Message-ID: <CAAoeO9h+21xiUJ5AOc69FkTCC9FfttPPoyaD7959mFXd9BX5eA@HIDDEN>
Subject: gui-backend-set-selection causing segfault on Debian 12
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000bbce8405eb7e6a5f"
Received-SPF: pass client-ip=209.85.214.176;
 envelope-from=geoffrey.ferrari@HIDDEN; helo=mail-pl1-f176.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

--000000000000bbce8405eb7e6a5f
Content-Type: text/plain; charset="UTF-8"

To reproduce:
Highlight some text and run *kill-ring-save* which ultimately calls
gui-backend-set-selection.

Kind regards,

Geoff

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.34, cairo version 1.16.0) of 2022-10-17, unofficial
 emacs-snapshot build: http://emacs.secretsauce.net built on
 lilbastard
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-native-compilation
 --with-pop=yes
 --enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/29.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.0.50/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --enable-libsystemd
 --with-native-compilation --with-pop=yes
 --enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/29.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.0.50/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-imagemagick --with-x-toolkit=gtk3
 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -ffile-prefix-map=/build/emacs-snapshot-DGsbZ6/emacs-snapshot-20221017+emacs-28.2-159651-geff4a4f49a7=.
 -fstack-protector-strong -Wformat -Werror=format-security -Wall
 -fno-omit-frame-pointer' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2'
 LDFLAGS=-Wl,-z,relro'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
IMAGEMAGICK JPEG JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2
M17N_FLT MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP
SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2 XPM GTK3
ZLIB

Important settings:
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8

Major mode: Lisp Interaction

Minor modes in effect:
  yas-global-mode: t
  yas-minor-mode: t
  pyvenv-mode: t
  minions-mode: t
  popwin-mode: t
  outshine-mode: t
  outline-minor-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  helm-mode: t
  helm-minibuffer-history-mode: t
  helm--remap-mouse-mode: t
  async-bytecomp-package-mode: t
  recentf-mode: t
  shell-dirtrack-mode: t
  rainbow-delimiters-mode: t
  save-place-mode: t
  override-global-mode: t
  auto-compile-on-load-mode: t
  auto-compile-on-save-mode: t
  savehist-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  hs-minor-mode: t

Load-path shadows:
/home/ghf/.emacs.legacy/elpa/auto-compile-20220517.1501/auto-compile hides
/home/ghf/.emacs.d/elpa/auto-compile-20220422.1600/auto-compile
/home/ghf/.emacs.legacy/elpa/auto-compile-20220517.1501/auto-compile-autoloads
hides
/home/ghf/.emacs.d/elpa/auto-compile-20220422.1600/auto-compile-autoloads
/home/ghf/.emacs.legacy/elpa/auto-compile-20220517.1501/auto-compile-pkg
hides /home/ghf/.emacs.d/elpa/auto-compile-20220422.1600/auto-compile-pkg
/home/ghf/.emacs.legacy/elpa/packed-20220422.1626/packed hides
/home/ghf/.emacs.d/elpa/packed-20220422.1626/packed
/home/ghf/.emacs.legacy/elpa/packed-20220422.1626/packed-pkg hides
/home/ghf/.emacs.d/elpa/packed-20220422.1626/packed-pkg
/home/ghf/.emacs.legacy/elpa/packed-20220422.1626/packed-autoloads hides
/home/ghf/.emacs.d/elpa/packed-20220422.1626/packed-autoloads
/home/ghf/.emacs.d/elpa/transient-20220503.1118/transient hides
/usr/share/emacs/29.0.50/lisp/transient
/usr/share/emacs/29.0.50/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup

Features:
(shadow sort mail-extr emacsbug gnus-alias message yank-media puny
rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils winner tramp-archive tramp-gvfs tramp-cache time-stamp
zeroconf dbus xml helm-command helm-elisp helm-eval edebug debug
backtrace helm-info server yaml-mode yasnippet highlight-indentation
flymake-proc flymake thingatpt company-capf company pcase help-fns
radix-tree elpy elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt
esh-proc esh-io esh-arg esh-module esh-groups esh-util elpy-shell
elpy-profile elpy-django elpy-refactor diff-mode python ido hideshow
grep compile text-property-search etags fileloop xref project minimap
moody minions ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util
ox-latex ox-icalendar org-agenda org-refile ox-html table ox-ascii
ox-publish ox org-element avl-tree generator org-bullets s dash
zenburn-theme shell-pop term disp-table ehelp popwin outshine
outshine-org-cmds outorg org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-footnote org-src ob-comint org-pcomplete org-list
org-faces org-entities org-version ob-emacs-lisp ob-core ob-eval
org-table oc-basic bibtex ol org-keys oc org-compat org-macs
org-loaddefs find-func cal-menu calendar cal-loaddefs noutline outline
undo-tree diff queue helm-mode helm-misc helm-files image-dired
image-dired-tags image-dired-external image-dired-util xdg image-mode
exif filenotify helm-buffers helm-occur helm-tags helm-locate
helm-grep helm-regexp helm-utils helm-help helm-types helm helm-core
async-bytecomp helm-global-bindings helm-easymenu helm-source
helm-multi-match helm-lib async helm-config mule-util elscreen dired-x
dired dired-loaddefs browse-kill-ring flyspell ispell recentf
tree-widget tramp tramp-loaddefs trampver tramp-integration cus-edit
pp cus-load wid-edit files-x tramp-compat shell pcomplete comint
ansi-osc ring parse-time iso8601 time-date ls-lisp format-spec
rainbow-delimiters saveplace edmacro kmacro frame-cmds advice
frame-fns avoid cl woman man ansi-color use-package
use-package-delight use-package-diminish use-package-bind-key bind-key
easy-mmode jka-compr auto-compile packed compat use-package-ensure
use-package-core finder-inf savehist desktop frameset delsel comp
comp-cstr warnings icons rx cl-extra help-mode my-elisp-tools tex-site
info package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie generate-lisp-file url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs password-cache json subr-x map byte-opt gv bytecomp
byte-compile cconv url-vars cl-loaddefs cl-lib chemacs rmc iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win
x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
replace newcomment text-mode lisp-mode prog-mode register page tab-bar
menu-bar rfn-eshadow isearch easymenu timer select scroll-bar mouse
jit-lock font-lock syntax font-core term/tty-colors frame minibuffer
nadvice seq simple cl-generic indonesian philippine cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray
oclosure cl-preloaded button loaddefs theme-loaddefs faces cus-face
macroexp files window text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget keymap hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk
x-toolkit xinput2 x multi-tty make-network-process native-compile
emacs)

Memory information:
((conses 16 642569 23083)
 (symbols 48 41688 2)
 (strings 32 178653 11997)
 (string-bytes 1 5752905)
 (vectors 16 70198)
 (vector-slots 8 1193859 24707)
 (floats 8 314 358)
 (intervals 56 1685 18)
 (buffers 1000 14))
--

--000000000000bbce8405eb7e6a5f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>To reproduce:</div><div>Highlight some text and run <=
b>kill-ring-save</b> which ultimately calls gui-backend-set-selection.</div=
><div><br></div><div>Kind regards,</div><div><br></div><div>Geoff<br></div>=
<div><div><br>In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Vers=
ion<br>=C2=A03.24.34, cairo version 1.16.0) of 2022-10-17, unofficial<br>=
=C2=A0emacs-snapshot build: <a href=3D"http://emacs.secretsauce.net">http:/=
/emacs.secretsauce.net</a> built on<br>=C2=A0lilbastard<br>Windowing system=
 distributor &#39;The X.Org Foundation&#39;, version 11.0.12101004<br>Syste=
m Description: Debian GNU/Linux bookworm/sid<br><br>Configured using:<br>=
=C2=A0&#39;configure --build x86_64-linux-gnu --prefix=3D/usr<br>=C2=A0--sh=
aredstatedir=3D/var/lib --libexecdir=3D/usr/lib<br>=C2=A0--localstatedir=3D=
/var/lib --infodir=3D/usr/share/info<br>=C2=A0--mandir=3D/usr/share/man --e=
nable-libsystemd --with-native-compilation<br>=C2=A0--with-pop=3Dyes<br>=C2=
=A0--enable-locallisppath=3D/etc/emacs-snapshot:/etc/emacs:/usr/local/share=
/emacs/29.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/=
29.0.50/site-lisp:/usr/share/emacs/site-lisp<br>=C2=A0--build x86_64-linux-=
gnu --prefix=3D/usr --sharedstatedir=3D/var/lib<br>=C2=A0--libexecdir=3D/us=
r/lib --localstatedir=3D/var/lib<br>=C2=A0--infodir=3D/usr/share/info --man=
dir=3D/usr/share/man --enable-libsystemd<br>=C2=A0--with-native-compilation=
 --with-pop=3Dyes<br>=C2=A0--enable-locallisppath=3D/etc/emacs-snapshot:/et=
c/emacs:/usr/local/share/emacs/29.0.50/site-lisp:/usr/local/share/emacs/sit=
e-lisp:/usr/share/emacs/29.0.50/site-lisp:/usr/share/emacs/site-lisp<br>=C2=
=A0--with-x=3Dyes --with-imagemagick --with-x-toolkit=3Dgtk3<br>=C2=A0--wit=
h-toolkit-scroll-bars &#39;CFLAGS=3D-g -O2<br>=C2=A0-ffile-prefix-map=3D/bu=
ild/emacs-snapshot-DGsbZ6/emacs-snapshot-20221017+emacs-28.2-159651-geff4a4=
f49a7=3D.<br>=C2=A0-fstack-protector-strong -Wformat -Werror=3Dformat-secur=
ity -Wall<br>=C2=A0-fno-omit-frame-pointer&#39; &#39;CPPFLAGS=3D-Wdate-time=
 -D_FORTIFY_SOURCE=3D2&#39;<br>=C2=A0LDFLAGS=3D-Wl,-z,relro&#39;<br><br>Con=
figured features:<br>ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTI=
NGS HARFBUZZ<br>IMAGEMAGICK JPEG JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LI=
BXML2<br>M17N_FLT MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCO=
MP<br>SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2 XPM GTK3<=
br>ZLIB<br><br>Important settings:<br>=C2=A0 value of $LANG: en_GB.UTF-8<br=
>=C2=A0 value of $XMODIFIERS: @im=3Dibus<br>=C2=A0 locale-coding-system: ut=
f-8<br><br>Major mode: Lisp Interaction<br><br>Minor modes in effect:<br>=
=C2=A0 yas-global-mode: t<br>=C2=A0 yas-minor-mode: t<br>=C2=A0 pyvenv-mode=
: t<br>=C2=A0 minions-mode: t<br>=C2=A0 popwin-mode: t<br>=C2=A0 outshine-m=
ode: t<br>=C2=A0 outline-minor-mode: t<br>=C2=A0 global-undo-tree-mode: t<b=
r>=C2=A0 undo-tree-mode: t<br>=C2=A0 helm-mode: t<br>=C2=A0 helm-minibuffer=
-history-mode: t<br>=C2=A0 helm--remap-mouse-mode: t<br>=C2=A0 async-byteco=
mp-package-mode: t<br>=C2=A0 recentf-mode: t<br>=C2=A0 shell-dirtrack-mode:=
 t<br>=C2=A0 rainbow-delimiters-mode: t<br>=C2=A0 save-place-mode: t<br>=C2=
=A0 override-global-mode: t<br>=C2=A0 auto-compile-on-load-mode: t<br>=C2=
=A0 auto-compile-on-save-mode: t<br>=C2=A0 savehist-mode: t<br>=C2=A0 deskt=
op-save-mode: t<br>=C2=A0 delete-selection-mode: t<br>=C2=A0 tooltip-mode: =
t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 show-par=
en-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<=
br>=C2=A0 global-prettify-symbols-mode: t<br>=C2=A0 prettify-symbols-mode: =
t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=
=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 line-numb=
er-mode: t<br>=C2=A0 global-visual-line-mode: t<br>=C2=A0 visual-line-mode:=
 t<br>=C2=A0 indent-tabs-mode: t<br>=C2=A0 transient-mark-mode: t<br>=C2=A0=
 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-=
compression-mode: t<br>=C2=A0 hs-minor-mode: t<br><br>Load-path shadows:<br=
>/home/ghf/.emacs.legacy/elpa/auto-compile-20220517.1501/auto-compile hides=
 /home/ghf/.emacs.d/elpa/auto-compile-20220422.1600/auto-compile<br>/home/g=
hf/.emacs.legacy/elpa/auto-compile-20220517.1501/auto-compile-autoloads hid=
es /home/ghf/.emacs.d/elpa/auto-compile-20220422.1600/auto-compile-autoload=
s<br>/home/ghf/.emacs.legacy/elpa/auto-compile-20220517.1501/auto-compile-p=
kg hides /home/ghf/.emacs.d/elpa/auto-compile-20220422.1600/auto-compile-pk=
g<br>/home/ghf/.emacs.legacy/elpa/packed-20220422.1626/packed hides /home/g=
hf/.emacs.d/elpa/packed-20220422.1626/packed<br>/home/ghf/.emacs.legacy/elp=
a/packed-20220422.1626/packed-pkg hides /home/ghf/.emacs.d/elpa/packed-2022=
0422.1626/packed-pkg<br>/home/ghf/.emacs.legacy/elpa/packed-20220422.1626/p=
acked-autoloads hides /home/ghf/.emacs.d/elpa/packed-20220422.1626/packed-a=
utoloads<br>/home/ghf/.emacs.d/elpa/transient-20220503.1118/transient hides=
 /usr/share/emacs/29.0.50/lisp/transient<br>/usr/share/emacs/29.0.50/site-l=
isp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup<br><br>F=
eatures:<br>(shadow sort mail-extr emacsbug gnus-alias message yank-media p=
uny<br>rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util<br>m=
m-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils<br>mai=
lheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr<br>mail-util=
s winner tramp-archive tramp-gvfs tramp-cache time-stamp<br>zeroconf dbus x=
ml helm-command helm-elisp helm-eval edebug debug<br>backtrace helm-info se=
rver yaml-mode yasnippet highlight-indentation<br>flymake-proc flymake thin=
gatpt company-capf company pcase help-fns<br>radix-tree elpy elpy-rpc pyven=
v eshell esh-cmd esh-ext esh-opt<br>esh-proc esh-io esh-arg esh-module esh-=
groups esh-util elpy-shell<br>elpy-profile elpy-django elpy-refactor diff-m=
ode python ido hideshow<br>grep compile text-property-search etags fileloop=
 xref project minimap<br>moody minions ox-odt rng-loc rng-uri rng-parse rng=
-match rng-dt<br>rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml=
-util<br>ox-latex ox-icalendar org-agenda org-refile ox-html table ox-ascii=
<br>ox-publish ox org-element avl-tree generator org-bullets s dash<br>zenb=
urn-theme shell-pop term disp-table ehelp popwin outshine<br>outshine-org-c=
mds outorg org ob ob-tangle ob-ref ob-lob ob-table<br>ob-exp org-macro org-=
footnote org-src ob-comint org-pcomplete org-list<br>org-faces org-entities=
 org-version ob-emacs-lisp ob-core ob-eval<br>org-table oc-basic bibtex ol =
org-keys oc org-compat org-macs<br>org-loaddefs find-func cal-menu calendar=
 cal-loaddefs noutline outline<br>undo-tree diff queue helm-mode helm-misc =
helm-files image-dired<br>image-dired-tags image-dired-external image-dired=
-util xdg image-mode<br>exif filenotify helm-buffers helm-occur helm-tags h=
elm-locate<br>helm-grep helm-regexp helm-utils helm-help helm-types helm he=
lm-core<br>async-bytecomp helm-global-bindings helm-easymenu helm-source<br=
>helm-multi-match helm-lib async helm-config mule-util elscreen dired-x<br>=
dired dired-loaddefs browse-kill-ring flyspell ispell recentf<br>tree-widge=
t tramp tramp-loaddefs trampver tramp-integration cus-edit<br>pp cus-load w=
id-edit files-x tramp-compat shell pcomplete comint<br>ansi-osc ring parse-=
time iso8601 time-date ls-lisp format-spec<br>rainbow-delimiters saveplace =
edmacro kmacro frame-cmds advice<br>frame-fns avoid cl woman man ansi-color=
 use-package<br>use-package-delight use-package-diminish use-package-bind-k=
ey bind-key<br>easy-mmode jka-compr auto-compile packed compat use-package-=
ensure<br>use-package-core finder-inf savehist desktop frameset delsel comp=
<br>comp-cstr warnings icons rx cl-extra help-mode my-elisp-tools tex-site<=
br>info package browse-url url url-proxy url-privacy url-expand<br>url-meth=
ods url-history url-cookie generate-lisp-file url-domsuf<br>url-util mailca=
p url-handlers url-parse auth-source cl-seq eieio<br>eieio-core cl-macs pas=
sword-cache json subr-x map byte-opt gv bytecomp<br>byte-compile cconv url-=
vars cl-loaddefs cl-lib chemacs rmc iso-transl<br>tooltip eldoc paren elect=
ric uniquify ediff-hook vc-hooks<br>lisp-float-type elisp-mode mwheel term/=
x-win x-win term/common-win<br>x-dnd tool-bar dnd fontset image regexp-opt =
fringe tabulated-list<br>replace newcomment text-mode lisp-mode prog-mode r=
egister page tab-bar<br>menu-bar rfn-eshadow isearch easymenu timer select =
scroll-bar mouse<br>jit-lock font-lock syntax font-core term/tty-colors fra=
me minibuffer<br>nadvice seq simple cl-generic indonesian philippine cham g=
eorgian<br>utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean=
<br>japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european<b=
r>ethiopic indian cyrillic chinese composite emoji-zwj charscript<br>charpr=
op case-table epa-hook jka-cmpr-hook help abbrev obarray<br>oclosure cl-pre=
loaded button loaddefs theme-loaddefs faces cus-face<br>macroexp files wind=
ow text-properties overlay sha1 md5 base64 format<br>env code-pages mule cu=
stom widget keymap hashtable-print-readable<br>backquote threads dbusbind i=
notify lcms2 dynamic-setting<br>system-font-setting font-render-setting cai=
ro move-toolbar gtk<br>x-toolkit xinput2 x multi-tty make-network-process n=
ative-compile<br>emacs)<br><br>Memory information:<br>((conses 16 642569 23=
083)<br>=C2=A0(symbols 48 41688 2)<br>=C2=A0(strings 32 178653 11997)<br>=
=C2=A0(string-bytes 1 5752905)<br>=C2=A0(vectors 16 70198)<br>=C2=A0(vector=
-slots 8 1193859 24707)<br>=C2=A0(floats 8 314 358)<br>=C2=A0(intervals 56 =
1685 18)<br>=C2=A0(buffers 1000 14))<br>-- <br></div></div></div>

--000000000000bbce8405eb7e6a5f--




Acknowledgement sent to Geoffrey Ferrari <geoffrey.ferrari@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58671; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Nov 2022 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.